> For clean Markdown of any page, append .md to the page URL.
> For a complete documentation index, see https://docs.latitude.xyz/llms.txt.
> For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://docs.latitude.xyz/_mcp/server.

# Upload Verification Images

POST https://api.latitude.xyz/v1/individuals/{id}/verification_images
Content-Type: application/json

Uploads verification images for an individual

Reference: https://docs.latitude.xyz/api-reference/verification-images/post-v-1-individuals-id-verification-images

## Request

### Path parameters

- `id` (string, required)

### Body (application/json)

This endpoint expects a postV1IndividualsIdVerificationImages.

- `images` (list of PostV1IndividualsIdVerificationImagesImagesItems, required) — Array of verification images

## Response

### 200

Upload Verification Images

- `individual_id` (string, required) — Public identifier for the individual
- `images` (list of API_V1_Serializers_VerificationImage, required) — Array of verification images

## Errors

### 400 Bad Request Error

Validation error: invalid or missing images, type, or content (data URI); or array length, allowed MIME type, or file size outside 10 KB-15 MB

- `any`

### 404 Not Found Error

Individual not found

- `any`

### 422 Unprocessable Entity Error

Individual not in action_required status, or image upload could not be completed

- `any`

## Types

### PostV1IndividualsIdVerificationImagesImagesItems

- `type` (enum, required) — Type of verification image
  - Allowed values: `document-front`, `document-back`, `selfie`
- `content` (string, required) — Base64-encoded data URI of the image. File size 10 KB-15 MB.

### API_V1_Serializers_VerificationImage

- `id` (string, required) — Public identifier for the verification image
- `type` (enum, required) — Type of verification image
  - Allowed values: `document-front`, `document-back`, `selfie`
- `content_type` (enum, required) — MIME type of the image
  - Allowed values: `application/pdf`, `image/jpeg`, `image/png`, `image/heic`, `image/heif`, `image/tiff`
- `created_at` (string, required) — ISO 8601 timestamp when the image was created
- `updated_at` (string, required) — ISO 8601 timestamp when the image was last updated

## Examples

**Request**

```json
{
  "images": [
    {
      "type": "document-front",
      "content": "string"
    }
  ]
}
```

**Response**

```json
{
  "individual_id": "string",
  "images": [
    {
      "id": "string",
      "type": "document-front",
      "content_type": "application/pdf",
      "created_at": "2024-01-15T09:30:00Z",
      "updated_at": "2024-01-15T09:30:00Z"
    }
  ]
}
```

**SDK Code**

```python
import requests

url = "https://api.latitude.xyz/v1/individuals/id/verification_images"

payload = { "images": [
        {
            "type": "document-front",
            "content": "string"
        }
    ] }
headers = {"Content-Type": "application/json"}

response = requests.post(url, json=payload, headers=headers)

print(response.json())
```

```javascript
const url = 'https://api.latitude.xyz/v1/individuals/id/verification_images';
const options = {
  method: 'POST',
  headers: {'Content-Type': 'application/json'},
  body: '{"images":[{"type":"document-front","content":"string"}]}'
};

try {
  const response = await fetch(url, options);
  const data = await response.json();
  console.log(data);
} catch (error) {
  console.error(error);
}
```

```go
package main

import (
	"fmt"
	"strings"
	"net/http"
	"io"
)

func main() {

	url := "https://api.latitude.xyz/v1/individuals/id/verification_images"

	payload := strings.NewReader("{\n  \"images\": [\n    {\n      \"type\": \"document-front\",\n      \"content\": \"string\"\n    }\n  ]\n}")

	req, _ := http.NewRequest("POST", url, payload)

	req.Header.Add("Content-Type", "application/json")

	res, _ := http.DefaultClient.Do(req)

	defer res.Body.Close()
	body, _ := io.ReadAll(res.Body)

	fmt.Println(res)
	fmt.Println(string(body))

}
```

```ruby
require 'uri'
require 'net/http'

url = URI("https://api.latitude.xyz/v1/individuals/id/verification_images")

http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true

request = Net::HTTP::Post.new(url)
request["Content-Type"] = 'application/json'
request.body = "{\n  \"images\": [\n    {\n      \"type\": \"document-front\",\n      \"content\": \"string\"\n    }\n  ]\n}"

response = http.request(request)
puts response.read_body
```

```java
import com.mashape.unirest.http.HttpResponse;
import com.mashape.unirest.http.Unirest;

HttpResponse<String> response = Unirest.post("https://api.latitude.xyz/v1/individuals/id/verification_images")
  .header("Content-Type", "application/json")
  .body("{\n  \"images\": [\n    {\n      \"type\": \"document-front\",\n      \"content\": \"string\"\n    }\n  ]\n}")
  .asString();
```

```php
<?php
require_once('vendor/autoload.php');

$client = new \GuzzleHttp\Client();

$response = $client->request('POST', 'https://api.latitude.xyz/v1/individuals/id/verification_images', [
  'body' => '{
  "images": [
    {
      "type": "document-front",
      "content": "string"
    }
  ]
}',
  'headers' => [
    'Content-Type' => 'application/json',
  ],
]);

echo $response->getBody();
```

```csharp
using RestSharp;

var client = new RestClient("https://api.latitude.xyz/v1/individuals/id/verification_images");
var request = new RestRequest(Method.POST);
request.AddHeader("Content-Type", "application/json");
request.AddParameter("application/json", "{\n  \"images\": [\n    {\n      \"type\": \"document-front\",\n      \"content\": \"string\"\n    }\n  ]\n}", ParameterType.RequestBody);
IRestResponse response = client.Execute(request);
```

```swift
import Foundation

let headers = ["Content-Type": "application/json"]
let parameters = ["images": [
    [
      "type": "document-front",
      "content": "string"
    ]
  ]] as [String : Any]

let postData = JSONSerialization.data(withJSONObject: parameters, options: [])

let request = NSMutableURLRequest(url: NSURL(string: "https://api.latitude.xyz/v1/individuals/id/verification_images")! as URL,
                                        cachePolicy: .useProtocolCachePolicy,
                                    timeoutInterval: 10.0)
request.httpMethod = "POST"
request.allHTTPHeaderFields = headers
request.httpBody = postData as Data

let session = URLSession.shared
let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in
  if (error != nil) {
    print(error as Any)
  } else {
    let httpResponse = response as? HTTPURLResponse
    print(httpResponse)
  }
})

dataTask.resume()
```